﻿.topBanner {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 500px;
    position: relative;
}

.topBannerText {
    height:500px;
    position:absolute;
    left:0px;
    right:0px;
    bottom:inherit;
    top:325px;
}

.topBanner h1 {
    color: #fff;
    margin: 0px;
    text-align: center;
}


.mainInteriorContent img {
    border-radius: 60px;
}

.TwoColumnsCarouselImages {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 500px;
    border-radius: 60px;
}

.ThreeColumns h2, .FullWidth h2 {
    margin-top: 0px;
}

.GalleryWrapper h2 {
    margin-top: 0px;
    margin-bottom:60px;
}

.TwoColumns h2 {
    margin-top: 0px;
    margin-bottom: 40px;
}

.mainInteriorContent h3.noTopMrg, .mainInteriorContent h2:first-child {
    margin-top: 0px;
}

.FullWidth p:last-child {
    margin-bottom:0px;
}

.img-wrapper {
    height: 250px;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    margin-bottom: 30px;
    border-radius: 40px;
}


@media (min-width: 1601px) and (max-width: 1800px) {
    .TwoColumnsCarouselImages {
        height: 420px;
    }

    .img-wrapper {
        height: 220px;
    }

    .topBanner {
        height: 485px;
    }

    .topBannerText {
        height: 485px;
        top: 340px;
    }
}

@media (min-width: 1481px) and (max-width: 1600px) {
    .TwoColumnsCarouselImages {
        height: 400px;
    }

    .img-wrapper {
        height: 215px;
    }

    .topBanner {
        height: 475px;
    }

    .topBannerText {
        height: 475px;
        top: 340px;
    }
}

@media (min-width: 1367px) and (max-width: 1480px) {
    .TwoColumnsCarouselImages {
        height: 365px;
    }

    .img-wrapper {
        height: 200px;
    }

    .topBanner {
        height: 470px;
    }

    .topBannerText {
        height: 470px;
        top: 340px;
    }
}

@media (min-width: 1200px) and (max-width: 1366px) {
    .TwoColumnsCarouselImages {
        height: 340px;
        border-radius: 50px;
    }

    .mainInteriorContent img {
        border-radius: 50px;
    }

    .img-wrapper {
        height: 175px;
        border-radius: 30px;
    }

    .GalleryWrapper h2 {
        margin-bottom: 50px;
    }

    .topBanner {
        height: 450px;
    }

    .topBannerText {
        height: 450px;
        top: 340px;
    }

    .carousel-caption {
        padding-bottom: 15px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .TwoColumnsCarouselImages {
        height: 270px;
        border-radius: 50px;
    }

    .mainInteriorContent img {
        border-radius: 50px;
    }

    .img-wrapper {
        height: 145px;
        border-radius: 25px;
    }

    .GalleryWrapper h2 {
        margin-bottom: 40px;
    }

    .topBanner {
        height: 380px;
    }

    .topBannerText {
        height: 380px;
        top: 270px;
    }

    .carousel-caption {
        padding-bottom: 15px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .TwoColumnsCarouselImages {
        height: 220px;
        border-radius: 40px;
    }

    .mainInteriorContent img {
        border-radius: 40px;
    }

    .img-wrapper {
        height: 185px;
        border-radius: 25px;
    }

    .GalleryWrapper h2 {
        margin-bottom: 40px;
    }

    .topBanner {
        height: 360px;
    }

    .topBannerText {
        height: 360px;
        top: 250px;
    }

    .carousel-caption {
        padding-bottom: 15px;
    }

    .GalleryWrapper .col-sm-3 {
        width:50%;
    }
}

@media (min-width: 0px) and (max-width: 767px) {
    .TwoColumnsCarouselImages {
        height: 220px;
        border-radius: 30px;
        margin-top:20px;
    }

    .mainInteriorContent img {
        border-radius: 30px;
        margin-top:20px;
    }

    .img-wrapper {
        height: 225px;
        border-radius: 30px;
    }

    .GalleryWrapper h2 {
        margin-bottom: 40px;
    }

    .GalleryWrapper .col-sm-3 {
        padding:0px;
    }

    .topBanner {
        height: 150px;
    }

    .topBannerText {
        height: 150px;
        top: 80px;
    }

    .carousel-caption {
        padding-bottom: 15px;
    }

    .GalleryWrapper .col-sm-3 {
        width: 100%;
    }

    .blockThumbs3 {
        height:auto!important;
    }
}